#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Test
%define		pnam	ClassAPI
Summary:	Test::ClassAPI - provides basic first-pass API testing for large class trees
Summary(pl.UTF-8):	Test::ClassAPI - podstawowy pierwszy przebieg testowania API dużych drzew klas
Name:		perl-Test-ClassAPI
Version:	1.07
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ff06bc671f753f4148c39df08fb6dd98
URL:		https://metacpan.org/release/Test-ClassAPI
%if %{with tests}
BuildRequires:	perl(File::Spec) >= 0.83
BuildRequires:	perl-Class-Inspector >= 1.12
BuildRequires:	perl-Config-Tiny >= 2.00
BuildRequires:	perl-Params-Util >= 1.00
BuildRequires:	perl-Test-Simple >= 0.47
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
For many APIs with large numbers of classes, it can be very useful to
be able to do a quick once-over to make sure that classes, methods,
and inheritance is correct, before doing more comprehensive testing.
This module aims to provide such a capability.

%description -l pl.UTF-8
Przy wielu API z dużą liczbą klas może być bardzo przydatna możliwość
wykonania szybkiego przebiegu, aby upewnić się przed rozpoczęciem
bardziej rozległego testowania, że te klasy, metody i dziedziczenie są
poprawne. Ten moduł próbuje dostarczyć taką możliwość.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/ClassAPI.pm
%{_mandir}/man3/Test::ClassAPI.3pm*
%changelog
* Wed May 19 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Test-ClassAPI.git;a=log;h=master

* Wed May 19 2021 Jakub Bogusz <qboosh@pld-linux.org> c9e30bb
- updated to 0.07

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 9124a25
- drop obsolete and outdated manual inclusion of rpm macros

* Fri Oct 16 2009 amateja <amateja@pld-linux.org> 0e0d96c
- updated to 1.06

* Tue Jan 15 2008 Szymon Siwek <sls@pld-linux.org> 4d944ea
- BR: perl-Params-Util

* Mon Dec 31 2007 zbyniu <zbyniu@pld-linux.org> c5e1337
- up to 1.04

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 78f3534
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2393b5a
- converted to UTF-8

* Fri Dec 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 85fc295
- generic URL

* Fri Dec 03 2004 radek <radek@pld-linux.org> 6831733
- autoupdated to 1.02

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f4a2e10
- formatting

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 5b9e92e
- spaces->tabs
- formatting

* Thu Aug 12 2004 ankry <ankry@pld-linux.org> e9fc70e
- IMHO better pl

* Thu Aug 12 2004 Jakub Bogusz <qboosh@pld-linux.org> 5e91bc4
- pl

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> a5c3fd9
- new

